STRUCT CCW1(9)

NAME
struct_ccw1 - channel command word

SYNOPSIS

struct ccw1 {
  __u8 cmd_code;
  __u8 flags;
  __u16 count;
  __u32 cda;
};

MEMBERS

cmd_code
    command code

flags
    flags, like IDA addressing, etc.

count
    byte count

cda
    data address

DESCRIPTION

The ccw is the basic structure to build channel programs that perform operations with the device or the control unit. Only Format-1 channel command words are supported.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT